# service-asyncall

In addition to perform a "synchronous" call (the customer calls and is immediately redirected to platform test, then to the first available operator) it's also possible to perform an "asynchronous" call: the customer provides his data and then requests a video identification, which will be managed in another moment by operator (eg: calendar management). To do this LiveID+ platform provides two methods: pushAsyncCall and service-asyncall.
**service-asyncall** method retrieves the loaded call using [pushAsyncCall](./../service/pushasynccall) and then start the video identification (redirects to platform test, then to the first available or requested operator).
***Please note***: calls to "service-asyncall" will automatically redirect caller to LiveID + platform test so it can be provided as a link directly to the customer (eg: confirmation email of the appointment generated by the operator).

Endpoint: GET /app/service-asyncall
Version: 2.1.0

## Query parameters:

  - `uId` (string, required)
    Unique id of the call to recover supplied by [pushAsyncCall](./../service/pushasynccall)

  - `noDel` (string)
    If set to "1" the async call is not removed after the link is used (default "0", the call is removed as soon as the page has been loaded)

  - `id_operator2Call` (string)
    Identification code of the operator to whom the call will be directly assigned.
*(`id_operator2Call`, `email_operator2Call`, `extId_operator2Call` parameters are mutually exclusive)*
***Please note***: if this parameter is set, the call will be automatically terminated with a KO if the operator doesn't answer, and it will not be assigned to any other operator available..

  - `email_operator2Call` (string)
    Email of the operator to whom the call will be directly assigned.
*(`id_operator2Call`, `email_operator2Call`, `extId_operator2Call` parameters are mutually exclusive)*
***Please note***: if this parameter is set, the call will be automatically terminated with a KO if the operator doesn't answer, and it will not be assigned to any other operator available..

  - `extId_operator2Call` (string)
    External ID of the operator to whom the call will be directly assigned.
*(`id_operator2Call`, `email_operator2Call`, `extId_operator2Call` parameters are mutually exclusive)*
***Please note***: if this parameter is set, the call will be automatically terminated with a KO if the operator doesn't answer, and it will not be assigned to any other operator available.

## Response 200:

  - `200` (unknown)
    Success

## Response 404:

  - `404` (unknown)
    Not Found

## Response 500:

  - `500` (unknown)
    Internal Server Error

